{
  "aggMode" : "NONE",
  "codeName" : "Usr04089492GridView_Grid",
  "columnEnableFilter" : 2,
  "columnEnableLink" : 2,
  "controlType" : "GRID",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone/PSGRIDS/Usr04089492GridView_Grid.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch",
    "actionType" : "DEDATASET",
    "name" : "fetch",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    }
  },
  "groupMode" : "NONE",
  "logicName" : "视图消息表格视图_表格",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
  },
  "getPSDEDataImport" : {
    "modelref" : true,
    "id" : "DataImport"
  },
  "getPSDEGridColumns" : [ {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.PHONENAME"
    },
    "caption" : "手机名称",
    "codeName" : "phonename",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "phonename",
    "excelCaption" : "手机名称",
    "name" : "phonename",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "PHONENAME",
      "codeName" : "PhoneName"
    },
    "valueFormat" : "{1}",
    "width" : 150,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "FRONT",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEMAN"
    },
    "caption" : "更新人",
    "codeName" : "updateman",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "updateman",
    "excelCaption" : "更新人",
    "name" : "updateman",
    "noPrivDisplayMode" : 1,
    "getPSAppCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
    },
    "getPSAppDEField" : {
      "name" : "UPDATEMAN",
      "codeName" : "UpdateMan"
    },
    "width" : 150,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEDATE"
    },
    "caption" : "更新时间",
    "codeName" : "updatedate",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "updatedate",
    "excelCaption" : "更新时间",
    "name" : "updatedate",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    },
    "valueFormat" : "YYYY-MM-DD HH:mm:ss",
    "width" : 150,
    "widthUnit" : "PX",
    "enableSort" : true
  } ],
  "getPSDEGridDataItems" : [ {
    "format" : "{1}",
    "dataType" : 25,
    "name" : "phonename",
    "getPSAppDEField" : {
      "name" : "PHONENAME",
      "codeName" : "PhoneName"
    }
  }, {
    "dataType" : 25,
    "name" : "updateman",
    "getPSAppDEField" : {
      "name" : "UPDATEMAN",
      "codeName" : "UpdateMan"
    }
  }, {
    "format" : "YYYY-MM-DD HH:mm:ss",
    "dataType" : 5,
    "name" : "updatedate",
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "PHONEID",
      "codeName" : "PhoneId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdataaccaction",
    "getPSAppDEField" : {
      "name" : "PHONEID",
      "codeName" : "PhoneId"
    },
    "dataAccessAction" : true
  }, {
    "dataType" : 25,
    "name" : "phoneid",
    "getPSAppDEField" : {
      "name" : "PHONEID",
      "codeName" : "PhoneId"
    }
  }, {
    "dataType" : 25,
    "name" : "pphoneid3",
    "getPSAppDEField" : {
      "name" : "PPHONEID3",
      "codeName" : "Pphoneid3"
    }
  }, {
    "dataType" : 25,
    "name" : "pphoneid4",
    "getPSAppDEField" : {
      "name" : "PPHONEID4",
      "codeName" : "Pphoneid4"
    }
  }, {
    "dataType" : 25,
    "name" : "pphoneid",
    "getPSAppDEField" : {
      "name" : "PPHONEID",
      "codeName" : "Pphoneid"
    }
  }, {
    "dataType" : 25,
    "name" : "pphoneid2",
    "getPSAppDEField" : {
      "name" : "PPHONEID2",
      "codeName" : "Pphoneid2"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "PHONENAME",
      "codeName" : "PhoneName"
    }
  } ],
  "getPSDEGridEditItems" : [ {
    "caption" : "手机标识",
    "codeName" : "srfkey",
    "enableCond" : 3,
    "ignoreInput" : 0,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "PHONEID",
      "codeName" : "PhoneId"
    },
    "getPSEditor" : {
      "editorType" : "HIDDEN",
      "name" : "srfkey"
    },
    "allowEmpty" : true
  } ],
  "pagingMode" : 1,
  "pagingSize" : 20,
  "getRemovePSControlAction" : {
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    }
  },
  "sortMode" : "REMOTE",
  "hasWFDataItems" : false,
  "enableColFilter" : false,
  "enableCustomized" : true,
  "enableGroup" : false,
  "enablePagingBar" : true,
  "enableRowEdit" : false,
  "enableRowEditOrder" : false,
  "enableRowNew" : false,
  "forceFit" : false,
  "hideHeader" : false,
  "noSort" : false,
  "singleSelect" : false,
  "modelid" : "80C74357-D625-47DC-911B-4ADEA8EDA924",
  "modeltype" : "PSDEGRID"
}